Notify API reference

Notify API · Categories

get/v1/workspaces/{workspace_id}/categories/{category_id}Auth

Get a category

Path parameters

workspace_id*string · uuid

Id of the workspace.

category_id*string · uuid

Id of the category.

Response · 200 The category.

id*string · uuid

Category id.

key*string

Stable key.

Example: "security"

name*string

Display name.

description*string

Description.

defaults*object

Default per channel.

ordinal*integer

Sort order.

android_channel_id*string

Android notification channel id (the key unless set).

transactional*boolean

Whether email goes out without List-Unsubscribe.

created_at*string · date-time

Created.

updated_at*string · date-time

Last change.

Example

Request

GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/categories/{category_id}
Authorization: Bearer YOUR_TOKEN

Response

{
  "id": "00000000-0000-0000-0000-000000000000",
  "key": "security",
  "name": "string",
  "description": "string",
  "defaults": {},
  "ordinal": 0,
  "android_channel_id": "string",
  "transactional": false,
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}